Documentation
¶
Index ¶
Constants ¶
View Source
const ( ErrUnableToParseRequestBody = "unable to parse request body" ErrNoEventsProvided = "no events provided" ErrUnableToExtractID = "unable to extract ID" ErrAttachmentNotFount = "attachment not found" ErrUnableToDoneAttachment = "unable to done attachment" ErrUnableToRemoveAttachment = "unable to remove attachment" ErrIncorrectFileSize = "incorrect file size" )
View Source
const ( S3EventPut = "s3:ObjectCreated:Put" S3EventDelete = "s3:ObjectRemoved:Delete" )
Variables ¶
This section is empty.
Functions ¶
Types ¶
type S3Bucket ¶
type S3Bucket struct {
Name string `json:"name"`
OwnerIdentity S3Identity `json:"ownerIdentity"`
ARN string `json:"arn"`
}
type S3Event ¶
type S3Event struct {
EventName string `json:"EventName"`
Key string `json:"Key"`
Records []S3EventRecord `json:"Records"`
}
type S3EventRecord ¶
type S3EventRecord struct {
EventVersion string `json:"eventVersion"`
EventSource string `json:"eventSource"`
AWSRegion string `json:"awsRegion"`
EventTime time.Time `json:"eventTime"`
EventName string `json:"eventName"`
UserIdentity S3Identity `json:"userIdentity"`
RequestParameters S3RequestParameters `json:"requestParameters"`
ResponseElements map[string]string `json:"responseElements"`
S3 S3Element `json:"s3"`
Source S3Source `json:"source"`
}
type S3Identity ¶
type S3Identity struct {
PrincipalID string `json:"principalId"`
}
type S3RequestParameters ¶
Click to show internal directories.
Click to hide internal directories.